<?php
	$error = "";
	$msg = "";
	$fileElementName = $_GET['fileElement'];
	//$fileElementName = 'fileToUpload';
	if(!empty($_FILES[$fileElementName]['error']))
	{
		switch($_FILES[$fileElementName]['error'])
		{

			case '1':
				$error = 'The uploaded file exceeds the upload_max_filesize directive in php.ini';
				break;
			case '2':
				$error = 'The uploaded file exceeds the MAX_FILE_SIZE directive that was specified in the HTML form';
				break;
			case '3':
				$error = 'The uploaded file was only partially uploaded';
				break;
			case '4':
				$error = 'No file was uploaded.';
				break;

			case '6':
				$error = 'Missing a temporary folder';
				break;
			case '7':
				$error = 'Failed to write file to disk';
				break;
			case '8':
				$error = 'File upload stopped by extension';
				break;
			case '999':
			default:
				$error = 'No error code avaiable';
		}
	}elseif(empty($_FILES[$fileElementName]['tmp_name']) || $_FILES[$fileElementName]['tmp_name'] == 'none')
	{
		$error = 'Arquivo não enviado..';
	}else 
	{
			move_uploaded_file($_FILES[$fileElementName]['tmp_name'], realpath(dirname(__FILE__))  . '/../../temp/' . $_FILES[$fileElementName]['name']);
			$fname = $_FILES[$fileElementName]['name'];
			$ftmp_name = '../temp/' .$_FILES[$fileElementName]['name'];
			$fsize = ($_FILES[$fileElementName]['size']);
			$ftype = $_FILES[$fileElementName]['type'];
			
			//for security reason, we force to remove all uploaded file
			// @unlink($_FILES[$fileElementName]);
	}		
	echo "{";
	echo				"error: '" . $error . "',";
	echo				"name: '" . $fname . "',";
	echo				"tmp_name: '" . $ftmp_name . "',";
	echo				"size: '" . $fsize . "',";
	echo				"type: '" . $ftype . "'";
	echo "}";
	
?>
